Bug 516016 - improve spec to make el5 builds working
Summary: improve spec to make el5 builds working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Django
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-06 11:50 UTC by Daniel Mach
Modified: 2009-09-12 17:55 UTC (History)
2 users (show)

Fixed In Version: 1.1-4.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-27 22:52:47 UTC
Type: ---


Attachments (Terms of Use)
spec patch (693 bytes, patch)
2009-08-06 13:33 UTC, Daniel Mach
no flags Details | Diff

Description Daniel Mach 2009-08-06 11:50:40 UTC
If you use latest spec in devel, it doesn't work for epel (rhel5) builds.
It fails with this error:

RPM build errors:
    File not found: /var/tmp/Django-1.1-1.el5-root-mockbuild/usr/bin/django-admin.pyc
    File not found: /var/tmp/Django-1.1-1.el5-root-mockbuild/usr/bin/django-admin.pyo
    File not found: /var/tmp/Django-1.1-1.el5-root-mockbuild/usr/bin/django-admin.pyc
    File not found: /var/tmp/Django-1.1-1.el5-root-mockbuild/usr/bin/django-admin.pyo


Attached patch solves the problem, see this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1586069


btw, could you build Django-1.1 also in f11 and el5?

Comment 1 Steve Milner 2009-08-06 13:22:54 UTC
I don't think the patch made it to bugzilla :-). Can you reattach?

For Django-1.1 in F11 and el5, I'm not sure just yet. I want to make sure the update wouldn't break any current apps running on F11/el5 before I port it over.

Comment 2 Daniel Mach 2009-08-06 13:33:30 UTC
Created attachment 356508 [details]
spec patch

Comment 3 Daniel Mach 2009-08-06 13:44:45 UTC
(In reply to comment #1)
> I don't think the patch made it to bugzilla :-). Can you reattach?
It's there.

> For Django-1.1 in F11 and el5, I'm not sure just yet. I want to make sure the
> update wouldn't break any current apps running on F11/el5 before I port it
> over.  

That makes sense.
Fortunately all my projects work like charm on 1.1 :)

Comment 4 Steve Milner 2009-08-06 20:48:55 UTC
Manually applied the patch and building in mock builds right now.

Comment 5 Steve Milner 2009-08-06 22:32:18 UTC
Applied and built in devel.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1587778

Comment 6 Steve Milner 2009-08-16 00:23:16 UTC
I have not heard much one way or the other from other users ... so I might as well move it in to F-11 and EL-5. Starting the process now.

Comment 7 Fedora Update System 2009-08-16 17:36:56 UTC
Django-1.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/Django-1.1-2.fc11

Comment 8 Fedora Update System 2009-08-16 17:37:00 UTC
Django-1.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/Django-1.1-2.el5

Comment 9 Fedora Update System 2009-08-17 22:05:17 UTC
Django-1.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8699

Comment 10 Fedora Update System 2009-08-18 00:27:17 UTC
Django-1.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0308

Comment 11 Fedora Update System 2009-08-26 22:57:09 UTC
Django-1.1-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/Django-1.1-4.el5

Comment 12 Fedora Update System 2009-08-26 22:57:14 UTC
Django-1.1-4.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/Django-1.1-4.el4

Comment 13 Fedora Update System 2009-08-26 22:57:19 UTC
Django-1.1-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/Django-1.1-4.fc11

Comment 14 Fedora Update System 2009-08-26 22:57:24 UTC
Django-1.1-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/Django-1.1-4.fc10

Comment 15 Fedora Update System 2009-08-26 23:33:57 UTC
Django-1.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0308

Comment 16 Fedora Update System 2009-08-27 03:26:49 UTC
Django-1.1-4.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0321

Comment 17 Fedora Update System 2009-08-27 03:26:53 UTC
Django-1.1-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Django'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0354

Comment 18 Fedora Update System 2009-08-27 22:52:42 UTC
Django-1.1-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-08-27 22:55:34 UTC
Django-1.1-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2009-09-12 17:51:01 UTC
Django-1.1-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2009-09-12 17:55:19 UTC
Django-1.1-4.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.